### A free/open-source library for quantitative finance

Static Public Member Functions
OperatorFactory Class Reference
Finite-differences framework

Black-Scholes-Merton differential operator. More...

`#include <ql/methods/finitedifferences/operatorfactory.hpp>`

List of all members.

## Static Public Member Functions

static TridiagonalOperator | getOperator (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process, const Array &grid, Time residualTime, bool timeDependent)
static TridiagonalOperator | getOperator (const boost::shared_ptr< OneFactorModel::ShortRateDynamics > &process, const Array &grid)

## Detailed Description

Black-Scholes-Merton differential operator.

Tests:
  coefficients are tested against constant BSM operator